Kerbal Space Program - Bug #4912

1.0.2.842 - Ships connected by docking ports/asteroid grabbers gain random accelerations
05/03/2015 04:14 PM - Neutrality

Status: Closed Start date: 05/03/2015
Severity: Normal % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 1.0.1 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

When flying a ship that has multiple docked or asteroid-grabbed parts, it slowly accelerates and shakes itself to pieces. This happens
without any input and with SAS off. It takes a couple minutes, but after a while the pieces of the ship fall apart. This bug has been
around since 0.90, it was not in 0.25.

I included a persistent.sfs with two ships that do this fall-apart when loaded.
Below are pictures of a ship before and after the shaking- it is connected by docking ports in a couple places.

11 XpkEXx.jpg
Zfz1urr.jpg

History

#1 - 07/27/2015 05:57 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#2 - 11/19/2015 09:29 PM - sal_vager

- Status changed from New to Need More Info

Please retest in the latest build, claw issues should now all be resolved.

guidebug reporting guide

#3 - 01/07/2016 07:21 AM - Neutrality
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

The ships in the save file still fall apart, but newly launched ships do not, both docking port and claw connections. I'm guessing something changed
with the physics such that the old ship connections became invalid.

#4 - 07/17/2016 09:43 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#5 - 08/09/2016 01:51 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
Files

persistent.sfs 1.12 MB 05/03/2015 Neutrality
